#ifdef MVS
??=ifdef __COMPILER_VER__
  ??=pragma filetag("IBM-1047")
??=endif
#endif
//**************************************************************************
//@copyright(external)
//Licensed Materials - Property of IBM
//IBM Content Manager for Multiplatforms V8  (program number 5724-B19)
//IBM Content Manager for z/OS and OS/390, V8 (program number 5697-H60)
//(c ) Copyright IBM Corp. 1994, 2001. All Rights Reserved.
//
//US Government Users Restricted Rights
//Use, duplication or disclosure restricted by GSA ADP Schedule
//Contract with IBM Corp.

//IBM grants you ("Licensee") a non-exclusive, royalty free, license to use,
//copy and redistribute the Non-Sample Header file software in source and
//binary code form, provided that i) this copyright notice, license and
//disclaimer appear on all copies of the software; and ii) Licensee does
//not utilize the software in a manner which is disparaging to IBM.


//This software is provided "AS IS."  IBM and its Suppliers and Licensors
//expressly disclaim all warranties, whether  EXPRESS OR IMPLIED,
//INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
//PARTICULAR PURPOSE OR WARRANTY OF  NON-INFRINGEMENT.  IBM AND ITS
//SUPPLIERS AND  LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
//BY LICENSEE THAT RESULT FROM USE OR DISTRIBUTION OF THE SOFTWARE OR THE
//COMBINATION OF THE SOFTWARE WITH ANY OTHER CODE.  IN NO EVENT WILL IBM
//OR ITS SUPPLIERS  AND LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT
//OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR
//PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
//LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN
//IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
//@endCopyright
//**************************************************************************
//
//
//  Notes:
//    The following ranges are reserved for Library Server and Object Server
//       2000 - 2999: Information messages
//       2051 - 2093: Workstation Object Server
//       2301 - 2376: Library Server
//       2377 - 2452: OS/390 Object Server
//       4000 - 4999: Warning messages
//       4000 - 4050: Workstation Object Server
//       4751 - 4825: Library Server
//       4826 - 4900: OS/390 Object Server
//       6500 - 9999: Action (Error) Messages
//       7000 - 7749: Library Server
//       7750 - 7849: OS/390 Object Server
//       9700 - 9999: Workstation Object Server
//
//      Notes2 (2002/05/02 MA):
//              New RCs cannot be added without noticing OO API team. It is OK
//              to improve the description of the error message or change the
//              #define text of an error.
//              If a new RC is needed, verify with API if they don't already
//              have a RC which would apply.
//
//*****************************************************************************

#ifndef LSPERROR_INCLUDED
#define LSPERROR_INCLUDED

#ifdef NEED_LARGE_INT

#ifdef __cplusplus
extern "C" {
#endif


//
// Large Integer divide - 64-bits / 32-bits -> 64-bits
//

LARGE_INTEGER
WINAPI
ExtendedLargeIntegerDivide (
    LARGE_INTEGER Dividend,
    ULONG Divisor,
    PULONG Remainder
    );

#ifdef __cplusplus
}
#endif

#endif  //NEED_LARGE_INT

#define RC_LOGON_MAX_USER_WARNING        4751
/* Warning: Maximum number of logged users reached. See the value of
   System Control Parameter MAXUSERS */

/**************************************************/
/* Miscellaneous                                  */
/**************************************************/
#define  RC_OK                           0
#define  RC_ALLOC_ERROR                  7000
/* Memory allocation error. Obtain the server log reporting the error
   and see your IBM service representative     */
#define  RC_ATTRDEF_INUSE                7001
/* The attribute being changed is already used in a component type */

#define  RC_COMPILEACL_ERROR             7003
/* This is an internal error.  See your IBM service representative. */

#define  RC_DATASTREAM_BUILD_ERROR       7004
/* Internal error building the data stream for communicating between
   the client and the server.  Set TRACELEVEL in table ICMSTSYSCONTROL
   to -63, run the application again, save the server log, and
   see your IBM service representative. */

#define  RC_DATASTREAM_PARSE_ERROR       7005
/* Internal error parsing the data stream for communicating between
   the client and the server.  Set TRACELEVEL in table ICMSTSYSCONTROL
   to -63, run the application again, save the server log, and
   see your IBM service representative. */

#define  RC_DLL_LOAD_ERROR               7006
/* The access module required to access a component table could not
   be loaded.  The server log contains the name of the access module
   and the component type that must be built.  Delete and re-create
   the item type and verify the access module is correctly built.  */

#define  RC_DLL_NOT_READY                7007
/* The access module required to access a component table has not been
   built correctly. The server log contains the name of the access module
   and the component type that must be built.  Delete and re-create
   the item type and verify the access module is correctly built.  */

#define  RC_DLL_UNEXPECTED_ERROR         7008
/* An error occurred while executing an "access module".  Save the
   server log and see your IBM service representative. */


#define  RC_DUPLICATE_ATTRDEF            7009
/* The attribute being defined already exists. */

#define  RC_DUPLICATE_NLSKEYWORDDEF      7010
/* The attribute name being defined already exists.  This is an internal
   error.  See your IBM service representative. */

#define  RC_GET_PROC_ADDRESS_ERROR       7011
/* The access module or an exit does not contain the required function
   name.  If the server log shows that an access module was being
   loaded, delete and re-create the item type and try again.  If the problem
   persists, see your IBM service representative.  If the error is in loading
   an exit, review the documentation for the exit to determine the proper
   function name and parameters. */

#define  RC_UNEXPECTED_AUTO_FOLDER_ERROR 7013
/* SQLType not supported in AutoFoldering. Run the application again with the
   trace level set to Detailed and Data.  Save the server log
   and see your IBM service representative. */

#define  RC_UNEXPECTED_SQL_ERROR         7015
/* During an SQL operation in the library server, an unexpected error
   occurred.  For details on the error, refer to the database document
*/

#define  RC_ATTRIBUTE_VALUE_REQUIRED     7016
/* A request to create or update an item or component record was
   made, but no value was provided for an attribute that is defined
   as NOT NULL.  Modify the application to require a value for any
   NOT NULL attributes. */

#define  RC_REF_RESOURCE_INPUT_ERROR     7017
/* Reference resource component type should always be filtered out
   when getting an item */

#define  RC_ICMROOT_VAR_NOT_FOUND        7019
/* The environment variable "ICMROOT" is not defined. */

#define  RC_ICMSYSCONTROL_ACCESS_ERROR   7020
/* An error occurred while accessing the table ICMSTSYSCONTROL.
   Refer to the server log for more information. */

#define  RC_MAKE_DIR_ERROR               7022
/* A directory could not be created.  The library server log file
   shows the name of the directory and additional information that
   might have been captured. */

#define  RC_KEYWORD_INUSE                7023
/* The keyword has already been defined.  This can be the result of
   internal checking, and can mean (for example) that the name of
   an object being defined from the system administration APIs
   already exists for that type of object.  Enter a different
   name for the object, or correct the application. */

#define  RC_LINKTYPE_INUSE               7024
/* When creating a user-defined link type, the name specified
   has already been used. */

#define  RC_DUPLICATE_PRIVDEFCODE        7025
/* This is an internal error.  See your IBM service representative. */

#define  RC_DUPLICATE_NAME               7027
/* The name being defined already exists.  Enter another name, or
   correct the application. */

#define RC_SQL_PREPARE_BIND_ERROR        7028
/* Used only for internal testing */

#define RC_CHILD_TYPE_VALIDATION_ERROR   7030

#define RC_COMPONENT_STRUCT_POINTER_ERROR    7037

#define RC_ITEM_VALIDATION_FAILED            7038

#define RC_INVALID_CHILDTYPE_STRUCT_SIZE     7039

#define RC_CHILD_TYPE_STRUCT_POINTER_ERROR   7040

#define RC_GET_RM_DEFAULT_ERROR              7043
/* Internal Error - invalid AutoLinkSMS code.  */

#define RC_RM_DEFAULT_VALUE_NOT_FOUND        7044

#define RC_PARM_ELEMENTID_CONFLICT_ERROR     7046
/* Parsed element ID does not match element ID specified.
   Update TRACELEVEL in ICMSTSYSCONTROL to -63, run the application
   again, save the server log, and see your IBM service representative. */

#define RC_PARM_DATATYPE_CONFLICT_ERROR      7047
/* Parsed data type does not match data type specified
   Update TRACELEVEL in ICMSTSYSCONTROL to -63, run the application
   again, save the server log, and see your IBM service representative. */

#define RC_PARM_UNKNOWN_TYPE_ERROR           7048
/* Specified data type is unknown.
   Update TRACELEVEL in ICMSTSYSCONTROL to -63, run the application
   again, save the server log, and see your IBM service representative. */

#define RC_PARM_BUFFER_TOO_SMALL_ERROR       7049
/* Length of parsed value is longer than length specified for parse.
   Update TRACELEVEL in ICMSTSYSCONTROL to -63, run the application
   again, save the server log, and see your IBM service representative. */

#define RC_PARM_INVALID_ELEMENTID_ERROR      7050
/* Specified element ID is not valid.
   Update TRACELEVEL in ICMSTSYSCONTROL to -63, run the application
   again, save the server log, and see your IBM service representative. */

#define RC_KEYWORD_DELETE_ERROR              7051
/* Keywordcode and KeywordClass being deleted is system-defined. */

#define RC_KEYWORD_UPDATE_ERROR              7052
/* Keywordcode and KeywordClass being updated is system-defined. */

#define RC_DUPLICATE_PRIVSETCODE             7053
/* An internal error occurred while creating a privilege set code.
   Run the application again with server tracing set to Detail and
   Data.  Save the server log and see your IBM service representative. */

#define RC_DUPLICATE_PRIVGROUPCODE           7054
/* An internal error occurred while creating a privilege group code.
   Run the application again with server tracing set to Detail and
   Data.  Save the server log and see your IBM service representative. */

#define RC_PARM_NULL_INDICATOR_ERROR         7055
/* A NULL value was specified without a NULL indicator.
   This is an internal error.  Run the application again with
   server trace set to Basic.  Save the server log and
   see your IBM service representative. */

#define RC_PARM_NULL_INDICATOR_TYPE_ERROR    7056
/* A NULL value was specified for a non-NULLable type.
   This is an internal error.  Run the application again with
   server trace set to Basic.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_ATTRIBUTE_STRUCT_POINTER  7057
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_GET_COMPTYPE_INFO_ERROR           7058
/* Used only for internal testing */

#define RC_COLLECTION_NAME_NOT_FOUND         7059
/* The specified resource manager and collection code is not
   defined */

#define RC_ITEM_TOKEN_GENERATION_ERROR       7061

#define RC_INVALID_DOMAIN                    7062
/* An error occurred while performing the specified action.  The user is
   trying to perform an INSERT, UPDATE, or DELETE on an object that does
   not belong to the same domain as the user, and is not in the public
   domain. */

#define RC_TS_INDEX_ERROR                    7064
/* An unexpected error occurred when the library server was requesting Text
   Information Extender (TIE) to create, update, or delete a TIE index.
   See the library server log for more details.  Use the external return
   code from library server to check the TIE error message in DB2 UDB TIE
   documentation.  Correct the problem and try again. */

#define RC_TRANSACTION_PENDING               7065
/* Used only for internal testing */

#define RC_DUPLICATE_LANGUAGECODE            7066
/* Language code being defined in NLS language table already exists. */

#define RC_DUPLICATE_USERID                  7067
/* The user ID or Group ID being added already exists */


#define RC_SYSTEM_ATTR_NOT_CHANGEABLE        7068
/* An attempt was made to change a system attribute that
   cannot be changed.  */

#define RC_MIMETYPEID_NOT_FOUND              7069
/* The MimeTypeID specified does not exist.  */

#define RC_EVENT_RECORD_NOT_FOUND            7070
/* Used only for internal testing */

#define RC_COMPVIEW_INUSE                    7071
/* The specified component view cannot be deleted because it
   is being used in an item type view definition. */

#define RC_INVALID_ORDERBY                   7072
/* Work packages can be ordered either by Priority (0) or by
   Last Accesstime (1 or 2). */

#define RC_MAX_SQL_LEN_ERROR                 7074
/* The SQL to be generated is longer than the maximum length allowed.
   Change the application or simplify the query. */

#define RC_RM_INUSE                          7075
/* Updating this Domain ID is rejected because the specified resource manager
   is being used by associated collections in this domain.  */

#define RC_DOMAIN_INUSE                      7076
/* The specified Domain cannot be deleted because it is being used by
   other objects. */

#define RC_DOMAIN_ACL_INUSE                  7077
/* The specified ACL for the Domain cannot be deleted because it is being
   used by other users or groups.  */

#define RC_DOMAIN_PRIVSET_INUSE              7078
/* The specified privilege set for the Domain cannot be deleted because
   it is being used by other users or groups.  */

#define RC_PASSWORD_COLUMN_NULL              7079
/* Password for TIE User is NULL. Please see your system administrator
   to update TIE Password through the system administration client. */

#define RC_LOCKTIMEOUT_ERROR                 7080
/* Attempt to issue an SQL comand against a table that is in use by another
   transaction.  For more information, refer to the database document */

#define RC_XDO_CLASS_IN_USE                  7081
/* The XDO class is already being defined for an item type. */

#define RC_COMPTYPECLASS_NOT_FOUND           7082
/* ComponentTypeClass is not found from ICMSTCOMPDEFS
   (joined w/ ICMSTCOMPVIEWDEFS) */

#define RC_TIEUSERID_NULL                    7084
/* A request to create, update, or delete Text Information Extender (TIE) index
   was made, but the library server cannot connect to TIE, because the
   TIEUSERID column in ICMSTSYSCONTROL table was NULL.  See the documentation
   on how to enable library server for text search and try again. */

#define RC_SOURCE_ITEM_TYPE_NOT_DOC          7085
/* In defining item type relations, the source must be an item type that
   is a document, or ItemTypeClass=2. */

#define RC_TARGET_ITEM_TYPE_NOT_PART         7086
/* In defining item type relations, the target must be an item type that
   is a part, or ItemTypeClass=3. */

#define RC_TEMP_PTRS_OUT_OF_BOUNDARY         7087
/* Temporary pointers exceeds array size (2500) */

#define RC_SYSATTR_CANT_BE_TXTSRCH           7088
/* TestSearch bit is ON for a system defined attribute and this
   is not allowed */

#define RC_DATA_LENGTH_TOO_LONG           7089
/* The length of the input data is too long for the attriubute*/

#define RC_ICC_ERROR                       7093
/* Unexpected internal error with the hashing functions. */

/**************************************************/
/* Invalid Input                                  */
/**************************************************/

#define RC_ALREADY_LOGGED_ON             7094
/* This user ID is already logged on. */

#define RC_TARGET_ITEMID_NOT_FOUND       7096
/* Specified item ID does not exist. */

#define RC_ITEM_TYPE_RELATION_NOT_FOUND  7097
/* There is no item type relation defined for the document being created or
   there is no item type relation defined between the document and this
   part being created. */

#define RC_INVALID_NEWPASSWORD           7098
/* The new password provided was rejected by the Logon Exit in the server. */

#define RC_INVALID_USERINFO              7099
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_ACLCODE              7100
/* The ACL code specified is not valid, or an attempt was made to assign a
   User ACL to a system adminstration object such as a user, item type, subset,
   or document routing process, worknode, or worklist. */

#define RC_ITEM_TYPE_RELATION_NOT_DEFINED  7101
/* There is no item type relation defined between the document
   and this part being created. */

#define  RC_INVALID_ACTION               7102
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_ATTRIBUTETYPE        7103
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_ATTRIBUTE_ID         7104
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_BLOB_ATTRDEF         7105
/* This size of the attribute is invalid. */

#define  RC_INVALID_CHAR_ATTRDEF         7106
/* This size of the attribute is invalid. */

#define  RC_INVALID_CLOB_ATTRDEF         7107
/* This size of the attribute is invalid. */

#define  RC_INVALID_COMP_TYPE_ID         7108
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_DBCLOB_ATTRDEF       7110
/* This size of the attribute is invalid. */

#define  RC_INVALID_DECIMAL_ATTRDEF      7111
/* This size of the attribute is invalid. */

#define  RC_INVALID_DEFAULT_VALUE        7112
/* The data type for the default attribute value is not valid. */

#define  RC_INVALID_ITEMID               7119
/* The specified item ID does not exist. */

#define  RC_INVALID_ITEM_TYPE_ID         7120
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_LINK_TYPE_CODE       7121
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_PARAMETER            7123
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_PARENT_COMP_TYPE_ID  7124
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_RMNAME               7125
/* The Resource Manager Name supplied for Asynch Recovery name is invalid. */

#define  RC_INVALID_USERID               7127
/* The user ID is not defined or the password is not valid. */

#define  RC_INVALID_USER_PRIVSET         7130
/* The provided new user privilege set should be less than or equal to
   definer's user privilege set. */

#define  RC_INVALID_VARCHAR_ATTRDEF      7131
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_INVALID_LANGUAGECODE         7137
/* Specified language code is not defined */

#define  RC_INVALID_SYSTEM_ATTRIBUTE     7138
/* Attribute type is not specified correctly */

/* Language name is not specified correctly */

/* Keyword name is not represented by the language code */

#define RC_INVALID_KEYWORDCODE           7141
/* Keyword code is not specified correctly */

/* Keyword description is not represented by the language code */

#define RC_INVALID_KEYWORDCLASS          7143
/* Keyword class is not specified for update keyword description */

#define RC_INVALID_ACLBINDING            7148
/* Provided ACL binding level is not defined to the system. */

#define RC_INVALID_RCSTRUCT              7151
/* Used only for internal testing */

#define RC_INVALID_CONNECT_STRUCTPTR     7152
/* Used only for internal testing */

#define RC_INVALID_CONNECT_STRUCT        7153
/* Used only for internal testing */

#define RC_INVALID_SESSION_STRUCTPRTR    7154
/* Used only for internal testing */

#define RC_INVALID_SESSION_STRUCT        7155
/* Used only for internal testing */

#define RC_INVALID_PRIVCODE              7156
/* Used only for internal testing */

#define RC_INVALID_PRIVSET               7158
/* Used only for internal testing */

#define RC_PASSWORD_CHANGE_ERROR         7159
/* Used only for internal testing */

#define RC_LOGON_MAX_USER_ERROR          7160
/* Maximum number of concurrent users reached. */

#define RC_INVALID_PRIVGP                7161
/* Used only for internal testing */

#define RC_INVALID_USERTOKEN             7162
/* The UserToken created by ICMLogon has been changed */

#define RC_INVALID_EVENTCODE             7164
/* The event code being used is not defined */

#define RC_DATABASE_NOT_STARTED          7165
/* Used only for internal testing */

#define RC_INVALID_ATTRIBUTE_NAME        7166
/* Attribute name length is greater than 15 */

#define RC_MISSING_INPUT_DATA            7167
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_TRANID_NOT_FOUND              7168
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_LINK_OPTION           7169
/* Specified sLinkOption > 2 or sLinkOption < 0 */

#define RC_TRANID_NOT_PROVIDED           7170

#define RC_PASSWORD_EXPIRED                  7171
/* A new password has to be provided when logging on to Content Manager.*/

#define RC_INVALID_PASSWORD                  7172
/* The password provided is invalid for this user ID, or it is NULL.*/

#define RC_MAX_LOGON_PASSWORD_RETRY          7173
/* The maximum number of failed attempts to log on to Content Manager
   was reached. See your system administrator for a new password. */

#define RC_INVALID_COMPOSITEATTR_NAME        7174
/* Composite attribute name being used is not specified correctly */

#define RC_INVALID_COMPOSITEATTR_DESC        7175
/* Composite attribute description being used is not specified correctly */

#define RC_CONNECTION_CLOSED                 7176
/* Used only for internal testing */

#define RC_TARGET_NOT_AUTOLINK_ENABLED       7178

#define RC_CYCLIC_LINK_ERROR                 7179
/* In defining automatic linking, the series of folders will
   result in a cycle or loop.  For example, folder A contains
   B contains C contains A. */

#define RC_INVALID_INDICATOR_LISTALL         7180

#define RC_LIMIT_MALLOC_PTR_ERROR            7181
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_LIMIT_NUM_INPUT_IDS               7182
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_LIMIT_CHILD_COMPONENT             7183
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_LIMIT_HIERARCH_LEVEL              7184
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_LIMIT_TABLE_PERLEVEL              7185
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_LIMIT_COMPONENTIDS                7186
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UPDATE_NOT_ALLOWED                7187
/* The component type cannot be updated. */

#define RC_COMP_TYPE_ALREADY_DEFINED         7188 // Only extrc
/* Updates to an item type's classification and XDO class id are
   not allowed if a component type is already defined for it. */

#define RC_DIAGRAM_CHECKEDOUT                7189
/* This workflow diagram is checked out by another user */

#define RC_DIAGRAM_NOT_CHECKEDOUT            7190
/* This workflow diagram is not checked out */

#define RC_PRIV_ALLOWCONNECT_USER_TOLOGON_ERROR   7191
/* This database user ID does not have the privilege to log on
   with a different Content Manager user ID. Be sure that the
   user ID used to connect is defined in Content Manager with privilege
   set UserDBConnect or UserDBTrustedConnect.*/

// This return code will be removed
#define  RC_NEW_VERSIONID_IS_NOT_THE_LATEST  7192

#define  RC_ICMDLL_VAR_NOT_FOUND             7193
/* Environment variable ICMDLL is not defined. This ICMDLL environment
   variable is used to locate DLLs used for exits or accessing component
   tables.  Be sure that the Library Server database instance was
   started from a session in which this environment variable is already
   exported.
*/

#define  RC_ICMCOMP_VAR_NOT_FOUND             7194
/* Environment variable ICMCOMP is not defined. It must be set
   to the path where the compiler is installed.
   Be sure that the Library Server database instance was started
   from a session in which this environment variable is already exported.
*/

#define  RC_INVALID_MIN_VALUE_FOR_INTEGER     7195
/* The minimum value for an attribute is invalid. */

#define  RC_INVALID_MIN_VALUE_FOR_SMALLINT    7196
/* The minimum value for an attribute is invalid. */

#define  RC_UNIQUE_ATTRIBUTE_VALUE_REQUIRED    7197
/* This user-defined attribute is an unique attribute. The user should provide
   an unique attribute value within this component type. */

#define  RC_PRIV_TRUSTEDLOGON_ERROR                     7198
/* The user ID that was used to connect to the database does not have
   the privilege to log on without a password. Be sure that the UserID
   used to connect is defined in CM with privilege set ICMTrustedLogonPrivSet
   and the System Control flag TrustedLogon is set.
*/

#define RC_ATTRIBUTE_NOT_FOUND                7199
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_XDOCLASSID                 7200
/* Value of XDOClassID in the database is invalid. Valid values
   are 1 through 5. */

/**************************************************/
/* Privilege Error                                */
/**************************************************/

#define  RC_PRIV_CHECKOUTITEM_ERROR      7201
/* The user does not have the privilege to check out items. */

#define  RC_PRIV_DELETEITEM_ERROR        7205
/* The user does not have the privilege to delete items. */

#define  RC_PRIV_ITEMTYPE_ERROR          7207
/* The user does not have the privilege to list item types. */

#define  RC_PRIV_QUERYITEM_ERROR         7211
/* The user does not have the privilege to query items. */

#define  RC_PRIV_GENERAL_ERROR           7215
/* The user does not have the privilege required to perform the
   requested operation, or the ACL does not include the user with
   the required privilege. The privilege code is contained in the
   reason code returned from the library server. */

#define  RC_PRIV_UPDATE_ITEM_ERROR       7220
/* The user does not have the privilege to update items. */
/* Connected user ID is not allowed to update the item  */

#define  RC_PRIV_SELECT_ERROR            7221

#define  RC_PRIV_ITEM_ACL_ERROR          7231
/* The user does not have the privilege to perform the requested operation
   on an item. */

#define  RC_PRIV_ITEMVIEW_ERROR          7232
/* The user does not have the privilege to perform the requested operation
   on an item type view. */

#define  RC_PRIV_CREATE_ITEM_ERROR       7233
/* The user does not have the privilege to create an item. */

#define  RC_PRIV_DELETE_DOC_ERROR        7236
/* The user does not have the privilege to delete a document. */

/**************************************************/
/* Component Error                                */
/**************************************************/

#define  RC_COMPONENT_CARDINALITY_ERROR   7250
/* The maximum number of component records for a component type
   has been exceeded. */

#define  RC_COMPONENT_ATTRS_NOT_FOUND     7251
/* There are not attributes associated with the specified component type.*/

#define  RC_COMPONENT_VIEW_NAME_NOT_FOUND 7254
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

/**************************************************/
/* Component Type Error                           */
/**************************************************/

#define  RC_COMPTYPE_CREATE_INDEX_ERROR   7302

#define  RC_COMPTYPE_CREATE_VIEW_ERROR    7304
/* An error occurred while creating a view for the component table.
   Review the server log for database errors.  If necessary, see
   your IBM service representative. */

#define  RC_COMPTYPE_PREP_ERROR           7305
/* An error occurred while creating the DLL to access a component
   table.  Review the server log for the name of the access
   module, and then review the corresponding ICMxxxxx.TX files
   (for example, ICMVxxxx.tx1) for details.
*/

#define  RC_COMPTYPE_BIND_ERROR           7306
/* An error occurred while creating the DLL to access a component
   table.  Review the server log for the name of the access
   module, and then review the corresponding ICMxxxxx.TX files
   (for example, ICMVxxxx.tx2) for details.
*/

#define  RC_COMPTYPE_COMPILE_ERROR        7307
/* An error occurred while creating the DLL to access a component
   table.  Review the server log for the name of the access
   module, and then review the corresponding ICMxxxxx.TX files
   (for example, ICMVxxxx.tx3) for details.
*/

#define  RC_COMPTYPE_LINK_ERROR           7308
/* An error occurred while creating the DLL to access a component
   table.  Review the server log for the name of the access
   module, and then review the corresponding ICMxxxxx.TX files
   (for example, ICMVxxxx.tx4) for details.
*/

#define  RC_COMPTYPE_SELECT_ERROR         7309
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_COMPTYPE_TOO_MANY_ATTRIBUTE_ERROR  7310
/* Too many attributes specified for the component type (max 250) */

#define  RC_COMPTYPE_CURSOR_ERROR         7311
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_GENERATE_FILE_ERROR           7313
/* An error occurred while creating the DLL to access a component
   table.  Review the server log for the name of the access
   module, and then review the corresponding ICMxxxxx.TX files
   for details.   */

#define  RC_DOC_COMPTYPE_NOT_FOUND        7314
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_COMPONENTTYPEID_NOT_FOUND     7315
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_COMPTYPE_TOO_MUCH_DATA_ERROR  7316
/* Total amount of data for all specified attributes exceeds the maximum.
   Modify the application to specify less data. */

#define  RC_SYS_CONTROL_DATA_NOT_FOUND    7317
/* Unable to access the record in ICMSTSYSCONTROL. */

#define  RC_COMPTYPE_DLL_ALREADY_EXISTS   7318
/* Old DLLs for this component type already exist and cannot be deleted */

/**************************************************/
/* Autofoldering errors                           */
/**************************************************/
#define RC_AUTOFOLDER_SOURCE_ATTR_RULES  7320
/* The attributes on the source involved in an auto link rule
must either be nullable or have a default value. */

#define RC_AUTOFOLDER_SELF_LINKING  7321
/* The source or target for the auto link rule
   is already involved in a self linking auto link rule.  */

#define RC_AUTOFOLDER_NO_CYCLES 7322
/* Definition of this auto link would create a cycle
with other auto link rules. */

#define RC_AUTOFOLDER_SOURCE_ROOT_LEVEL 7323
/* The attributes on the source involved in an auto link rule
must be at the root component level. */

#define RC_AUTOFOLDER_CHILD_CARDINALILTY 7324
/* The minimum cardinality of a child component that is
  the target of an auto link rule must be at least one. */

#define RC_AUTOFOLDER_LINK_ALREADY_EXISTS 7326
/*A link cannot be added between these two item types,
because a link already exists between them. */

/**************************************************/
/* Data Integrity errors                          */
/**************************************************/

#define RC_DI_INVALID_ENCRYPT_ALGO 7325
/* The encryption algorithm for data integrity is invalid. */

/**************************************************/
/* Item Type Error                                */
/**************************************************/

#define  RC_ITEMTYPE_DELETE_ERROR         7350
/* Cannot delete a system-defined item type. */

#define  RC_ITEMTYPE_DUPLICATE_NAME       7351
/* The item type name already exists. */

#define  RC_ITEMTYPE_NOT_FOUND            7358
/* Cannot locate item type information associated with the component  */

#define  RC_ITEMTYPE_UPDATE_ERROR         7359
/* Cannot update a system-defined item type. */

#define  RC_ITEMTYPECLASS_NOT_FOUND       7360
/* Item type class is not found from ICMSTITEMTYPEDEFS  */

#define  RC_MAX_VERSION_CANNOT_BE_1       7361
/* The caller is trying to define or update an item type
   with version control on, and max version of 1,
   which is contradictory, and can cause complications later. */

/**************************************************/
/* Item Error                                     */
/**************************************************/

#define  RC_ITEM_CHECKEDOUT_BYOTHER       7400
/* The requested item has already been checked out by another user. */

#define  RC_ITEM_DELETE_ERROR             7401
/* Error deleting the item record. */

#define  RC_ITEM_ID_NOT_FOUND             7402
/* Specified item ID does not exist. */

#define  RC_ITEM_INSERT_ERROR             7403
/* Error creating a unique item ID. */

#define  RC_ITEM_MULTIPLE_PARENTS         7404
/* The specified item cannot be deleted because it is linked to other
   items. */

#define  RC_ITEM_NOT_CHECKEDOUT           7405
/* The item is not checked out. */

#define  RC_ITEM_SELECT_ERROR             7408
/* An error occurred while creating a view for the component table.
   Review the server log for database errors.  If necessary, see
   your IBM service representative. */

#define  RC_ITEM_UPDATE_ERROR             7409
/* An error occurred while creating a view for the component table.
   Review the server log for database errors.  If necessary, see
   your IBM service representative. */

#define  RC_ITEMID_NOT_IN_COMPTYPEID      7413
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_LINK_ITEM_EXCEEDS_MAX         7414
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_GET_ITEMID_FAILED             7417  // Only used as reason code
/* Returned from ICMgetDOC_TOC if no documents were found
   on a cursor fetch of a doc item table results in no rows. */

#define  RC_VERSIONID_NOT_FOUND           7418
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define  RC_SOURCE_ITEM_CHECKED_OUT       7419
/* Cannot change the item type of the item because it is checked out by
   another user. */

#define  RC_REINDX_SAME_ITEM_TYPE         7420
/* The new item type requested is the same as the current item type. */

#define  RC_REINDX_WRONG_ITEM_TYPE_CLASS  7421
/* Cannot reindex to/from resource to non-resource item type  */

#define  RC_REINDX_FROM_ITEM_TYPE_PART    7422
/* Cannot change the item type of a part. */

#define  RC_REINDX_TO_ITEM_TYPE_PART      7423
/* Cannot change the item type to a part. */

// This return code will be removed
#define RC_REPL_OLD_VERS_NOT_ALLWD      7424
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   contact IBM Support. */

/**************************************************/
/* Doc Routing Error Codes (7500-7600)            */
/**************************************************/

#define RC_DR_PROCESS_NAME_NOT_FOUND         7500
/* Library server cannot locate the given document routing process name.
   The process name might not be defined yet or has already been deleted.
   Check its name and try again */

#define RC_DR_START_WORKNODE_NOT_FOUND       7501
/* Library server cannot locate the starting work node in the given
   document routing process name.  Check to see if the given process is
   valid. */

#define RC_DR_WORKNODE_NOT_FOUND             7502
/* Library server cannot locate the work node identified by the given
   work node item ID or the next work node from the current work node.
   Check the input to make sure it is valid. */

#define RC_DR_WORKPACKAGE_NOT_FOUND          7503
/* Library server cannot locate the work package identified by the given
   work package component ID and its work node item ID. Check the input to
   make sure it is valid */

#define RC_DR_SET_RESUMETIME_FAILED          7506
/* Cannot set the resume time for the item to be suspended                */

#define RC_DR_INVALID_ACTION_CODE            7507
/* Action code specified is not valid.                                    */

#define RC_DR_INVALID_MENU_OR_WORKNODE       7508
/* Menu or work node is not valid.                                        */

#define RC_DR_DELETE_WORKNODE_ERROR          7509
/* Attempt to delete work node failed.                                    */

#define RC_DR_DOCITEMID_NOT_FOUND            7510
/* Cannot locate requested target (document) item ID                      */

#define RC_DR_DOCITEMTYPEID_NOT_FOUND        7511
/* Cannot locate requested target (document) item type ID                 */

#define RC_DR_WORKLIST_NOT_FOUND             7512
/* Cannot locate requested worklist.                                      */

#define RC_DR_NO_MATCH_LAST_CHANGED_TIME     7513
/* Last changed time in work package does not match the one recorded in
   the document routing process table.   */

#define RC_DR_RESUMELIST_CLEANUP_FAILED      7514
/* Failed while trying to delete the entries in the resume list table        */

#define RC_DR_RESUME_ITEM_FAILED             7515
/* Failed while trying to resume item                                        */

#define RC_DR_INVALID_PARM_SUSPENDUNIT       7516
/* Invalid suspend unit specified (1 = hours, 2 = days)                      */

#define RC_DR_INVALID_PARM_SUSPENDTIME       7517
/* Invalid suspend duration specified (must be >= 0)                         */

#define RC_DR_RESUMELIST_STRUCTID_MISMATCH   7518
/* Expected a resume list structure but struct ID did not match              */

#define RC_DR_RESUMELIST_INVALID_ITEMTYPE    7519
/* Item type specified in resume list struct is out of range                 */

#define RC_DR_RESUMELIST_ITEMTYPE_NOT_FOUND  7520
/* Item type specified in resume list struct could not be found              */

#define RC_DR_RESUMELIST_INVALID_QUANTITY    7521
/* Quantity required for item type in resume list is invalid (must be >= 0)  */

#define RC_DR_CHANGEPRIORITY_FAILED          7522
/* Failed while trying to change priority of work item                       */

#define RC_DR_SUSPEND_ITEM_FAILED            7523
/* Failed while trying to suspend item                                       */

#define RC_DR_CP_SELF_LOOP_ERROR             7524
/* Library sever detects a collection point looping back to itself in a
   document routing process. */

#define RC_DR_SUSBYITEM_REQUIRES_FOLDER      7525
/* Suspend-by-item requires document type of folder                          */

#define RC_DR_SUSBYITEM_REQUIREMENTS_MET     7526
/* The requirements for the suspend-by-item resume list
   have already been met. No action was taken.    */

#define RC_GETITEM_OUT_OF_CURSORS            7590
/* The retrieve action has reached the maximum resource to return more
   itemtypes.  Please retrieve items from fewer item types. */

/**************************************************/
/* Get Item Type Error Codes                      */
/**************************************************/

#define RC_NUM_PRIV_CODES_INVALID            7601  // Extended return code

#define RC_PARSE_PRIV_CODES_FAILED           7602  // Extended return code

#define RC_ATTR_NOT_SHARED                   7604  // Extended return code

/**************************************************/
/* Database Migration Messages                    */
/* From 7600 up to 7650                           */
/**************************************************/

#define RC_MI_ERR_START_USING_DB_FAILURE     7600

#define RC_MI_ERR_BINDING                    7601

#define RC_MI_EXPORTING_TABLE                7602

/**************************************************/
/* Replicator/Migrator Error Codes (7651-7699)    */
/**************************************************/
#define RC_REPL_INSERT_RULE_WITH_DIFF_DOMAIN_ERROR  7651
/* The source and target of a replication rule are in a different domain */

#define RC_REPL_REPLICATION_ENABLED_ERROR    7652
/* 8.1 OOAPI tries to create/update an item under the item type which is
   replication-enabled; 8.2 OOAPI and up is required */

#define RC_REPL_SOURCE_OUT_OF_DATE           7653
/* Unable to check out because the object on the source RM server is
   out-of-date */

#define RC_REPL_INVALID_REPLICATOR_SOURCE    7654
/* Invalid source replicator is specified; ie. source RM server or collection
   cannot be found */

#define RC_REPL_INVALID_REPLICATOR_TARGET    7655
/* Invalid target replicator is specified; ie. target RM server or collection
   cannot be found */

#define RC_REPL_INVALID_MIGRATOR_SOURCE      7664
/* Invalid source migrator is specified; ie. source RM server or collection
   cannot be found */

#define RC_REPL_INVALID_MIGRATOR_TARGET      7665
/* Invalid target migrator is specified; ie. target RM server or collection
   cannot be found */

#define RC_REPL_EXCEED_ITEM_MAXIMUM          7668
/* Exceed the maximum number of items allowed per replication or migration
   request */

#define RC_REPL_TARGET_OFFLINE               7669
/* Target RM server is currently taken offline by system adminitrator;
   thus unable to check out */

#define RC_REPL_TARGET_OBJECT_EXISTS         7660
/* Source RM has the latest object so that it is ok to perform replicator.
   However, since the target RM server has an existing object, the migrator
   will ignore this request */

#define RC_REPL_TARGET_OBJECT_LATEST         7661

/**************************************************/
/* Async Recovery Error Codes (7700-7749)         */
/**************************************************/

#define RC_ASYNCR_FETCH_TRANSTATUS_ERROR     7701

#define RC_ASYNCR_TRANID_NOTINLIST_ERROR     7702

#define RC_ASYNCR_GET_EXPIRETIME_FAILED      7703

#define RC_ASYNCR_DELETE_TRANS_FAILED        7704

#define RC_ASYNCR_INVALID_ACTION_CODE        7705

#define RC_ASYNCR_RELEASE_RM_ROW_ERROR       7706

#define RC_ASYNCR_GET_RMLOCK_ERROR           7707

#define RC_ASYNCR_INVALID_TXLIST_SIZE        7708

#define RC_ASYNCR_DECL_RMLOCK_ERROR          7709

#define RC_ASYNCR_FREE_RMLOCK_ERROR          7710

#define RC_ASYNCR_DECL_TOBEDEL_ERROR         7711

#define RC_ASYNCR_OPEN_TOBEDEL_ERROR         7712

#define RC_ASYNCR_EXEC_CLEANTBDTAB_ERROR     7713

/************************************************/
/* Quiesce Server Error Codes (7750-7754)       */
/************************************************/
#define RC_QUIESCE_TRANSACTION_IN_PROGRESS   7750
/* There is a long running transaction in progress.  Please see ICMSERVER.LOG
   for userid of transaction in progress.  Please insure all transactions have
   completed prior to start of backup.*/

#define RC_QUIESCE_SERVER_PAUSED             7751
/* The server has been paused for backup, please try again later.*/

#define RC_QUIESCE_TX_MAXDURATION_EXCEEDED   7752
/* The transaction has exceeded the maximum time allowed and will be
   terminated as a result of a pause server request.*/


/*********************************************/
/*  Unexpected SQL Situations                */
/*********************************************/
#define RC_CONCURRENCY_CONFLICT              7912
/* A database concurrency conflict occurred between this transacation and
   one or more transaction(s).  This transaction will be rolled back.
   Try the operation again. */

#define RC_FOREIGN_KEY_ERROR                 7913
/* The insert/update value of a foreign key is invalid.
   See your IBM service representative
   and provide server log with tracelevel=15   */

#define RC_ITEM_TYPE_ALREADY_EXISTS          7914
/* The item type being defined already exists. */

#define RC_TIEREF_DATA_NOT_PROVIDED          7915
/* Internal Error during updateObjData(). See your IBM service representative
   and provide server log with tracelevel=15 */

#define RC_INVALID_CONSTRAINT_NAME           7916
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_NOT_AUTH_FOR_ANY_ITEMTYPE         7917
/* When an application calls ICMget_ItemType, the user
   may specify one or more item types (or none, which means all),
   as well as one or more privilege codes (or none, which means
   use the default of "Query Item Type Privilege").  If there is no
   ACL code which authorizes a user to see any of the item type(s)
   requested, this return code is sent back, and no cursors are opened. */

#define RC_PARENT_COMP_TYPE_NOT_FOUND        7918
/* No ROOT component exists for the item type associated with the component  */

#define RC_UNEXP_SQL_PREP_SEL_QUERY          7920
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_OPEN_CUR_QUERY          7921
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_GET_ACL_ERROR           7922
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_CHILD_CHK               7932
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_ROW_CHK                 7933
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_SEL_PREP_CUR            7934
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_COMPNT_FETCH            7935
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_COUNT_ATTRIDS           7944
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_PREP_SEL_ITEMTYPES      7947
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_PARM_VALIDATION_FAILURE           7967
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_DEL_NOT_ALLOWED                   7968
/* The ICMdefine_CompType stored procedure returns this if
   the component type that is being deleted either has rows
   in the table, or is less than 1000 (i.e., system-defined). */

#define RC_CREATE_NOT_ALLOWED                7969

#define RC_KEYFLUSH_ERROR                    7970
/* Error returned from resource manager(s) when keyflush
   error occurs. */

#define RC_NUM_COMPONENTS_LESS_THAN_ZERO     7971
/* Specified number of components is less than zero  */

#define RC_PROCESS_COMPONENT_ERROR           7972
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_NUM_ATTRIBUTES_LESS_THAN_ZERO     7973
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_NUM_CHILD_TYPES_LESS_THAN_ZERO    7975
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_GET_SYS_CONTROL_INFO_ERROR        7978
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_GET_COMP_TYPE_INFO_FAILED         7980
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_CARDINALITY_LESS_THAN_MINIMUM     7981
/* The number of child component rows provided is less than the
   minimum required in the definition of the component type. */

#define RC_NUM_ATTRIBUTES_IS_ZERO            7986
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_ACTION_CODE               7987
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_PARENT_COMPONENT_ID       7988
/* User is trying to create a child component item, but has
   specified a parent component id that is not the right length. */

#define RC_NUM_OF_COMPATTRS_IS_ZERO          7989
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_UNEXP_SQL_COMPTTYPE_FETCH         7990
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_COMPONENT_TYPE            7991
/* Specified component type is not found   */

#define RC_ACTION_RECORD_NOT_FOUND           7993
/* Specified action record not found */

#define RC_INVALID_COMPONENT_ID              7994
/* Specified component ID not found */

#define RC_WORKFLOW_EVENT_NOT_FOUND          7995
/* Specified workflow event not found */

#define RC_DUPLICATE_XDOFACTORY              7996
/* XDO object factories being defined already exists. */

#define RC_DUPLICATE_XDOOBJECT               7997
/* XDO object being defined already exists. */

#define RC_INVALID_ATTRIBUTE                 7998
/* This is an internal error.  Run the application again with
   server trace set to Detail and Data.  Save the server log and
   see your IBM service representative. */

#define RC_INVALID_FK_CONSTRAINT             7999
/* Database error accessing table ICMSTCOMPATTRSFK for a defined CONSTRAINT. */

/**************************************************/
/* Reason Code Constants                          */
/**************************************************/

#define RSN_COMPNT_HAS_CHILD            8000

#define RSN_COMPNT_TBL_HAS_ROWS         8001

#define RSN_ATTR_PAIRS_COUNT_ERROR      8002

#define RSN_ATTR_PAIR_NOT_FOUND         8003

#define RSN_INVALID_COMP_ATTR_PAIR      8004

#define RSN_USER_AUTH_FAILED            8005

#define RSN_UPDATE_NOT_SUPPORTED        8006

#define RSN_ITEM_TYPE_ERROR             8007

#define RSN_PARSE_FAILED                8008

#define RSN_NOT_AUTHOR_GETITEMTYPE      8009

#define RSN_NUM_ITEM_TYPES_INVALID      8011

#define RSN_FOREIGN_KEY_ERROR           8012

#endif
